Name:           miau
Version:        0.6.5
Release:        3%{?dist}
Summary:        Full-featured IRC bouncer

Group:          Applications/Internet
License:        GPLv2+
URL:            http://miau.sourceforge.net/
Source0:        http://dl.sf.net/%{name}/%{name}-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

Requires(post): /sbin/install-info
Requires(preun): /sbin/install-info

%description
miau is a smart and versatile IRC-bouncing tool for *NIX. The difference 
between miau and other bouncers is that miau will go on IRC as soon as 
it is launched, guarding or attempting to get your nick. Control over 
the session can be taken as with other bouncers, by simply connecting to 
miau (and providing a password) like you would connect to a normal IRC 
server. On disconnect, miau is able to stay in the channels and to 
reintroduce them to your client on your next connect. Other handy 
features are message logging, flood protection, and DCC bouncing.

%prep
%setup -q


%build
COMMON="--enable-local --enable-dccbounce --enable-automode --enable-releasenick --enable-ctcp-replies --enable-mkpasswd --enable-uptime --enable-chanlog --enable-privlog --enable-onconnect  --enable-empty-awaymsg"
%configure \
    --enable-ipv6 \
    $COMMON
make %{?_smp_mflags}
mv src/%{name} src/%{name}-ipv6
%configure \
    $COMMON
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_bindir} $RPM_BUILD_ROOT%{_mandir}/man1 \
    $RPM_BUILD_ROOT%{_infodir}
install -m 0755 src/%{name} $RPM_BUILD_ROOT%{_bindir}
install -m 0755 src/%{name}-ipv6 $RPM_BUILD_ROOT%{_bindir}
install -m 0644 doc/%{name}.1 $RPM_BUILD_ROOT%{_mandir}/man1
install -m 0644 doc/%{name}.info $RPM_BUILD_ROOT%{_infodir}


%post
/sbin/install-info %{_infodir}/%{name}.info.gz %{_infodir}/dir || :

%preun
if [ $1 = 0 ]; then
    /sbin/install-info --delete %{_infodir}/%{name}.info.gz %{_infodir}/dir || :
fi


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING misc/miaurc NEWS README TODO
%{_bindir}/%{name}
%{_bindir}/%{name}-ipv6
%{_mandir}/man1/%{name}.1*
%{_infodir}/%{name}.info*

%changelog
* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6.5-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Wed Feb 13 2008 Patrick "Jima" Laughton <jima@beer.tclug.org> 0.6.5-2
- Bump-n-build for GCC 4.3

* Fri Nov 30 2007 Patrick "Jima" Laughton <jima@beer.tclug.org> 0.6.5-1
- New upstream release

* Mon Aug 20 2007 Patrick "Jima" Laughton <jima@beer.tclug.org> 0.6.4-2
- License clarification

* Tue May 29 2007 Patrick "Jima" Laughton <jima@beer.tclug.org> 0.6.4-1
- New upstream release (bugfixes)

* Mon Oct 02 2006 Patrick "Jima" Laughton <jima@beer.tclug.org> 0.6.2-3
- Fixed scriptlets, added Reqs for install-info, removed INSTALL from docs

* Fri Sep 29 2006 Patrick "Jima" Laughton <jima@beer.tclug.org> 0.6.2-2
- Initial Fedora Extras RPM
